Subject: Re: [lojban] Re: Lexing text with {fa'o} and {zoi} in it

From: Pierre Abbat <[email-masked]>
Date: Tue, 4 Feb 2003 06:48:07 -0500

On Monday 03 February 2003 22:19, Robert LeChevalier wrote:
> At 06:04 PM 2/3/03 -0500, Pierre Abbat wrote:
> > > > According to 19:10, if {le'u} appears in a {zoi} quotation which is
> > > > inside a {lo'u} quotation, the {lo'u} quotation is prematurely
> > > > terminated.
>
> Not really following this, but since lo'u/le'u incorporates only Lojban
> text, there shouldn't be any zoi quotes inside of the lo'u/le'u.

19.10.5: (A minor note on interaction between ``lo'u ... le'u'' and ``zoi'': 
The text between ``lo'u'' and ``le'u'' should consist of Lojban words only. 
In fact, non-Lojban material in the form of a ``zoi'' quotation may also 
appear. However, if the word ``le'u'' is used either as the delimiting word 
for the ``zoi'' quotation, or within the quotation itself, the outer ``lo'u'' 
quotation will be prematurely terminated. Therefore, ``le'u'' should be 
avoided as the delimiting word in any ``zoi'' quotation.)

> > > > Chapter 21, step 2, says that the word following {zoi} *should* be
> > > > delimited with a pause, not that it *must*. If it is not delimited
> > > > with a pause, this can cause text to be lexed that is part of the
> > > > quotation. For instance: /zoiladjAn.bagram.ladjAn/ is lexed as {zoi
> > > > la djan. bagram. la djan.}.
> > >
> > > I'm sory; what is the delimiter in that case? la?
> >
> >Yes. It's ungrammatical, but the lexer doesn't know that.
>
> The lexer doesn't have to process ungrammatical text except inside of
> lo'u/le'u, and per the above, that should not have zoi quotes in it.
>
> > > > Conversely, two words could be taken as the delimiter, as in
> > > > /zoi.flAlukAvbu.../ that I mentioned before. Should the word be
> > > > changed to "must"?
> > >
> > > Seems like it to me.
> >
> >Likewise, must {fa'o} be followed by a pause?
>
> fa'o terminates all processing. Therefore if it isn't in a lo'u/le'u, or
> in a zoi quote, it doesn't matter what it is followed by.

How would you lex the following?:
/laxidEkel.rIrxefa'otIgriselinistIkalIte/
/laxidEkel.rIrxefa'oelinistIkalItetIgris/
/midUndalecUktalafa'oz/

phma